Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class ComponentIdResolver

    java.lang.Object
      org.richfaces.context.ComponentIdResolver

    public final class ComponentIdResolver

extends java.lang.Object

Author:
  Nick Belaevski

Constructor Summary
`ComponentIdResolver(javax.faces.context.FacesContext facesContext)`

Method Summary
`void` | `addId(java.lang.String id)`
`protected void` | `addIdImmediately(java.lang.String id)`
`protected void` | `clearAllUnresolvedIds()`
`protected boolean` | `findComponentsBelow(javax.faces.component.UIComponent component)`
`protected boolean` | `findComponentsBelowRecursively(javax.faces.component.UIComponent component)`
`protected boolean` | `findComponentsInContainer(javax.faces.component.UIComponent component, org.richfaces.context.ComponentIdResolverNode node, boolean resolveNCChildren)`
`protected boolean` | `findComponentsInContainerRecursively(javax.faces.component.UIComponent component, org.richfaces.context.ComponentIdResolverNode node)`
`java.util.Set<java.lang.String>` | `getResolvedIds()`
`protected boolean` | `hasUnresolvedIds()`
`protected void` | `matchStackedComponents()`
`void` | `resolve(javax.faces.component.UIComponent component)`
`protected boolean` | `resolveId(org.richfaces.context.ComponentIdResolverNode node, javax.faces.component.UIComponent topMatch, javax.faces.component.UIComponent bottomMatch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentIdResolver

    public ComponentIdResolver(javax.faces.context.FacesContext facesContext)

Method Detail

### addIdImmediately

    protected void addIdImmediately(java.lang.String id)

### addId

    public void addId(java.lang.String id)

### getResolvedIds

    public java.util.Set<java.lang.String> getResolvedIds()

### clearAllUnresolvedIds

    protected void clearAllUnresolvedIds()

### hasUnresolvedIds

    protected boolean hasUnresolvedIds()

### findComponentsInContainerRecursively

    protected boolean findComponentsInContainerRecursively(javax.faces.component.UIComponent component,
                                                           org.richfaces.context.ComponentIdResolverNode node)

### resolveId

    protected boolean resolveId(org.richfaces.context.ComponentIdResolverNode node,
                                javax.faces.component.UIComponent topMatch,
                                javax.faces.component.UIComponent bottomMatch)

### findComponentsInContainer

    protected boolean findComponentsInContainer(javax.faces.component.UIComponent component,
                                                org.richfaces.context.ComponentIdResolverNode node,
                                                boolean resolveNCChildren)

### matchStackedComponents

    protected void matchStackedComponents()

### findComponentsBelowRecursively

    protected boolean findComponentsBelowRecursively(javax.faces.component.UIComponent component)

### findComponentsBelow

    protected boolean findComponentsBelow(javax.faces.component.UIComponent component)

### resolve

    public void resolve(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.